diff --git a/src/send.c b/src/send.c
index 5e79771d..b4226b90 100644
--- a/src/send.c
+++ b/src/send.c
@@ -277,7 +277,6 @@ int send_run(sock_t st, shard_t *s)
 		// adaptive timing delay
 		send_rate = (double) zconf.rate / zconf.senders;
 		if (delay > 0) {
-			count++;
             if (send_rate < slow_rate) {
                 double t = now();
                 double last_rate = (1.0 / (t - last_time));
@@ -328,8 +327,8 @@ int send_run(sock_t st, shard_t *s)
 			break;
 		}
 		for (int i=0; i < zconf.packet_streams; i++) {
+			count++;
 			uint32_t src_ip = get_src_ip(curr, i);
-
 		  	uint32_t validation[VALIDATE_BYTES/sizeof(uint32_t)];
 			validate_gen(src_ip, curr, (uint8_t *)validation);
 			zconf.probe_module->make_packet(buf, src_ip, curr,
diff --git a/src/zmap.1.ronn b/src/zmap.1.ronn
index 260486e8..d9a057ec 100644
--- a/src/zmap.1.ronn
+++ b/src/zmap.1.ronn
@@ -51,7 +51,8 @@ on a gigabit network connection, reaching ~98% theoretical line speed.
 ### SCAN OPTIONS ###
 
    * `-r`, `--rate=pps`:
-     Set the send rate in packets/sec
+     Set the send rate in packets/sec. Note: when combined with --probes,  this is
+     total packets per second, not IPs per second.
 
    * `-B`, `--bandwidth=bps`:
      Set the send rate in bits/second (supports suffixes G, M, and K (e.g. -B
